#ifndef XPHYSGEOMLIST_H
#define XPHYSGEOMLIST_H

#include "xasset.h"
#include "xphysmass.h"
#include "xphysgeominfo.h"

class XPhysGeomList : public XAsset
{
public:
    XPhysGeomList();
    ~XPhysGeomList();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mCount;
    QVector<XPhysGeomInfo> mGeoms;
    XPhysMass mMass;
};

#endif // XPHYSGEOMLIST_H
